## gimpgrid gimpgrid |

## Functions

gboolean | gimp_image_grid_get_spacing ()
gboolean | gimp_image_grid_set_spacing ()
gboolean | gimp_image_grid_get_offset ()
gboolean | gimp_image_grid_set_offset ()
gboolean | gimp_image_grid_get_foreground_color ()
gboolean | gimp_image_grid_set_foreground_color ()
gboolean | gimp_image_grid_get_background_color ()
gboolean | gimp_image_grid_set_background_color ()
GimpGridStyle | gimp_image_grid_get_style ()
gboolean | gimp_image_grid_set_style ()

## Description

## Functions

### gimp_image_grid_get_spacing ()

    gboolean
    gimp_image_grid_get_spacing (gint32 image_ID,
                                 gdouble *xspacing,
                                 gdouble *yspacing);

Since: GIMP 2.4

### gimp_image_grid_set_spacing ()

    gboolean
    gimp_image_grid_set_spacing (gint32 image_ID,
                                 gdouble xspacing,
                                 gdouble yspacing);

Since: GIMP 2.4

### gimp_image_grid_get_offset ()

    gboolean
    gimp_image_grid_get_offset (gint32 image_ID,
                                gdouble *xoffset,
                                gdouble *yoffset);

Since: GIMP 2.4

### gimp_image_grid_set_offset ()

    gboolean
    gimp_image_grid_set_offset (gint32 image_ID,
                                gdouble xoffset,
                                gdouble yoffset);

Since: GIMP 2.4

### gimp_image_grid_get_foreground_color ()

    gboolean
    gimp_image_grid_get_foreground_color (gint32 image_ID,
                                          GimpRGB *fgcolor);

Since: GIMP 2.4

### gimp_image_grid_set_foreground_color ()

    gboolean
    gimp_image_grid_set_foreground_color (gint32 image_ID,
                                          const GimpRGB *fgcolor);

Since: GIMP 2.4

### gimp_image_grid_get_background_color ()

    gboolean
    gimp_image_grid_get_background_color (gint32 image_ID,
                                          GimpRGB *bgcolor);

Since: GIMP 2.4

### gimp_image_grid_set_background_color ()

    gboolean
    gimp_image_grid_set_background_color (gint32 image_ID,
                                          const GimpRGB *bgcolor);

Since: GIMP 2.4

### gimp_image_grid_get_style ()

    GimpGridStyle
    gimp_image_grid_get_style (gint32 image_ID);

Since: GIMP 2.4

### gimp_image_grid_set_style ()

    gboolean
    gimp_image_grid_set_style (gint32 image_ID,
                               GimpGridStyle style);

Since: GIMP 2.4

## Types and Values